    import SummonerEndpoint from 'kayn/lib/Endpoints/SummonerEndpoint.js'

public class | source

# SummonerEndpoint

#### Extends:

Endpoint → SummonerEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | by: {"name": *, "id": *, "accountID": *} |
public | config: * |
public | limiter: * |
public | serviceName: string |

## Method Summary

Public Methods
public | accountID(accountID: number): * Get a summoner by account ID. |
public | summonerID(summonerID: number): * Get a summoner by summoner ID. |
public | summonerName(summonerName: string): * Get a summoner by summoner name. |

## Public Constructors

### public constructor() source

#### Override:

Endpoint#constructor

## Public Members

### public by: {"name": *, "id": *, "accountID": *} source

### public config: * source

### public limiter: * source

### public serviceName: string source

## Public Methods

### public accountID(accountID: number): * source

Get a summoner by account ID.

Implements GET `/lol/summoner/v3/summoners/by-account/{accountId}`.

#### Params:

Name | Type | Attribute | Description
accountID | number |  | The account ID of the summoner.

#### Return:

*

### public summonerID(summonerID: number): * source

Get a summoner by summoner ID.

Implements GET `/lol/summoner/v3/summoners/{summonerId}`.

#### Params:

Name | Type | Attribute | Description
summonerID | number |  | The id of the summoner.

#### Return:

*

### public summonerName(summonerName: string): * source

Get a summoner by summoner name.

Implements GET `/lol/summoner/v3/summoners/by-name/{summonerName}`.

#### Params:

Name | Type | Attribute | Description
summonerName | string |  | The name of the summoner.

#### Return:

*